package gov.va.vss.web.organization;

import gov.va.vss.model.organization.AbstractBasicOrganization;
import gov.va.vss.web.AbstractVssCommand;

public class OrganizationCommand extends AbstractVssCommand {

	private AbstractBasicOrganization organization;
	private String fromPage;
	private boolean processingEDonation;
	
	public OrganizationCommand(AbstractBasicOrganization organization, String fromPage) {
		this.organization = organization;
		this.fromPage = fromPage;
	}

	public OrganizationCommand(AbstractBasicOrganization organization) {
		this.organization = organization;
	}

	public AbstractBasicOrganization getOrganization() {
		return organization;
	}

	public void setOrganization(AbstractBasicOrganization organization) {
		this.organization = organization;
	}

	public String getFromPage() {
		return fromPage;
	}

	public void setFromPage(String fromPage) {
		this.fromPage = fromPage;
	}
	
	public boolean isProcessingEDonation() {
		return processingEDonation;
	}

	public void setProcessingEDonation(boolean processingEDonation) {
		this.processingEDonation = processingEDonation;
	}
}
